@echo off

rem #########################################################################
rem #                                                                       #
rem #                 Startskript fr die SWE 2.1 LMS                       #
rem #                                                                       #
rem #  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
rem #  Gegebenheiten des lokalen Projektes angepasst werden.                #
rem #                                                                       #
rem #  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
rem #  gaben installiert wurde, insbesondere die Installation der SWE in    # 
rem #  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
rem #  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
rem #  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
rem #  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
rem #  allgemeinen Parameter fr die Datenverteilerkopplung festgelegt sind.#
rem #                                                                       #
rem #########################################################################
rem #  Folgende, aus der Datei 'einstellungen.bat" bernommene Parameter,   #
rem #  mssen berprft und evtl. angepasst werden.                  #
rem #########################################################################
rem # Parameter fr den Java-Interpreter
rem #jvmArgs="-Dfile.encoding=ISO-8859-1"

rem # Parameter fr den Datenverteiler
rem #dav1="-datenverteiler=localhost:8083 -benutzer=Tester ^
rem #  -authentifizierung=passwd -debugFilePath=.."

call ..\..\skripte-dosshell\einstellungen.bat

rem Titel des Shell-Fensters, in dem die SWE ausgefhrt wird.
title Kommunikation mit externen Stellen (KEx), SWE2.1 LMS

rem #########################################################################
rem #                                                                       #
rem #                        Parameter der SWE                              #
rem #                                                                       #
rem #########################################################################
rem # Landesmeldestelle
set LMS="lmst.bw"
 
rem # Verzeichnis zur Sicherung defekter Dateien
set SICHERUNGSVERZEICHNIS="sicherung"

rem #########################################################################
rem #                                                                       #
rem #                  Ausfhrung der Softwareeinheit                       #
rem #                                                                       #
rem # Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
rem #                                                                       #
rem #########################################################################

CHCP 1252
TITLE Kommunikation mit externen Stellen (KEx), SWE2.1 LMS

java %jvmargs% -jar de.bsvrz.kex.lms-runtime.jar %dav1% ^
	-LMS=%LMS% ^
	-sicherungsVerzeichnis=%SICHERUNGSVERZEICHNIS% ^
	-debugLevelStdErrText=OFF ^
	-debugLevelFileText=CONFIG ^
	-debugSetLoggerAndLevel=:CONFIG 

rem Nach dem Beenden warten, damit Meldungen gelesen werden knnen
pause
